// file: $USFS/class/image_eval/v1.0/imgev_compfloat_0.cc
//

// isip include files
//
#include "image_eval.h"

#include <integral_constants.h>
#include "image_eval_constants.h"

// method: compare_float_cc
//
// arguments:
//   const void* arg1_a: (input/output) 
//   const void* arg2_a: (input/output)
//
// return:
//   an int to indicate status
//
// This method compares two numbers and returns status of comparison.
//
//
int Image_eval::compare_float_cc(const void* arg1_a, const void* arg2_a) {

  float_4* num1_a = (float_4*)arg1_a;
  float_4* num2_a = (float_4*)arg2_a;
  
  if (*num1_a > *num2_a) {
    return (IMGEV_GREATER_THAN);
  }
  
  if (*num1_a < *num2_a) {
    return (IMGEV_LESS_THAN);
  }
  
  return (IMGEV_EQUAL);
}
